Sign inGet started

Teams

GET
/organizations/{organizationId}/teams
List the teams inside an organization.
Paramètres de requête
limit
integer
Limits the number of results to return.
reverse
boolean
Reverses the order in which the results are returned.
pageToken
string
The cursor that keeps track of the current position in the results.
Corps de la réponse
results
array of object
obligatoire
Afficher les attributs enfants
results.id
string
obligatoire
results.name
string
obligatoire
results.description
string
obligatoire
results.visibility
string
obligatoire
Possible values: public, private
results.accessibility
string
obligatoire
Possible values: open, request-to-join, invite-only
results.activeMemberCount
integer
obligatoire
results.pendingMemberCount
integer
obligatoire
results.featuredMembers
array of object
obligatoire
Afficher les attributs enfants
results.featuredMembers.type
string
obligatoire
Possible values: user
results.featuredMembers.id
string
obligatoire
results.roleRefs
array of object
The list of roles assigned to the team
Afficher les attributs enfants
results.roleRefs.id
string
obligatoire
results.roleRefs.type
string
obligatoire
Possible values: organization, managed
results.roleRefs.workspaces
array of string
results.createdAt
string
obligatoire
results.updatedAt
string
obligatoire
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Exemple de code
curl -X GET 'https://api.bird.com/organizations/{organizationId}/teams' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/organizations/{organizationId}/teams
Create a new team inside the organization.
Corps de la requête
name
string
obligatoire
description
string
obligatoire
roleRefs
array of object
The list of roles assigned to the team
Afficher les paramètres enfants
roleRefs.id
string
obligatoire
roleRefs.type
string
obligatoire
Possible values: organization, managed
roleRefs.workspaces
array of string
Corps de la réponse
id
string
obligatoire
name
string
obligatoire
description
string
obligatoire
visibility
string
obligatoire
Possible values: public, private
accessibility
string
obligatoire
Possible values: open, request-to-join, invite-only
activeMemberCount
integer
obligatoire
pendingMemberCount
integer
obligatoire
featuredMembers
array of object
obligatoire
Afficher les attributs enfants
featuredMembers.type
string
obligatoire
Possible values: user
featuredMembers.id
string
obligatoire
roleRefs
array of object
The list of roles assigned to the team
Afficher les attributs enfants
roleRefs.id
string
obligatoire
roleRefs.type
string
obligatoire
Possible values: organization, managed
roleRefs.workspaces
array of string
createdAt
string
obligatoire
updatedAt
string
obligatoire
Exemple de code
curl -X POST 'https://api.bird.com/organizations/{organizationId}/teams' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/organizations/{organizationId}/teams/{teamId}
Retrieve a single team.
Corps de la réponse
id
string
obligatoire
name
string
obligatoire
description
string
obligatoire
visibility
string
obligatoire
Possible values: public, private
accessibility
string
obligatoire
Possible values: open, request-to-join, invite-only
activeMemberCount
integer
obligatoire
pendingMemberCount
integer
obligatoire
featuredMembers
array of object
obligatoire
Afficher les attributs enfants
featuredMembers.type
string
obligatoire
Possible values: user
featuredMembers.id
string
obligatoire
roleRefs
array of object
The list of roles assigned to the team
Afficher les attributs enfants
roleRefs.id
string
obligatoire
roleRefs.type
string
obligatoire
Possible values: organization, managed
roleRefs.workspaces
array of string
createdAt
string
obligatoire
updatedAt
string
obligatoire
Exemple de code
curl -X GET 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/organizations/{organizationId}/teams/{teamId}
Delete a team from an organization.
Exemple de code
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/organizations/{organizationId}/teams/{teamId}
Update a team's details.
Corps de la requête
name
string
description
string
roleRefs
array of object
The list of roles assigned to the team
Afficher les paramètres enfants
roleRefs.id
string
obligatoire
roleRefs.type
string
obligatoire
Possible values: organization, managed
roleRefs.workspaces
array of string
Corps de la réponse
id
string
obligatoire
name
string
obligatoire
description
string
obligatoire
visibility
string
obligatoire
Possible values: public, private
accessibility
string
obligatoire
Possible values: open, request-to-join, invite-only
activeMemberCount
integer
obligatoire
pendingMemberCount
integer
obligatoire
featuredMembers
array of object
obligatoire
Afficher les attributs enfants
featuredMembers.type
string
obligatoire
Possible values: user
featuredMembers.id
string
obligatoire
roleRefs
array of object
The list of roles assigned to the team
Afficher les attributs enfants
roleRefs.id
string
obligatoire
roleRefs.type
string
obligatoire
Possible values: organization, managed
roleRefs.workspaces
array of string
createdAt
string
obligatoire
updatedAt
string
obligatoire
Exemple de code
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'